Skip to main content
GET
/
api
/
aviation
/
v1
/
get-youtube-live-stream-info
GetYoutubeLiveStreamInfo
curl --request GET \
  --url https://api.example.com/api/aviation/v1/get-youtube-live-stream-info
{
  "videoId": "<string>",
  "isLive": true,
  "channelExists": true,
  "channelName": "<string>",
  "hlsUrl": "<string>",
  "title": "<string>",
  "error": "<string>"
}

Query Parameters

channel
string

YouTube channel handle or ID.

video_id
string

Specific video ID to check.

Response

Successful response

GetYoutubeLiveStreamInfoResponse containing detection results.

videoId
string

Video ID of the live stream (if found).

isLive
boolean

Whether the stream is currently live.

channelExists
boolean

Whether the channel exists.

channelName
string

Human-readable channel name.

hlsUrl
string

HLS manifest URL (if available).

title
string

Stream title.

error
string

Optional error message.